;****************************************************************************************
;********************************     Keylib::calls     *********************************
;****************************************************************************************

keylib::init			equ	keylib@0000
keylib::end			equ	keylib@0001
keylib::is_key_pressed		equ	keylib@0002
keylib::getkey			equ	keylib@0003
keylib::getkey_list		equ	keylib@0004
keylib::idle_loop		equ	keylib@0005
keylib::find_key_in_list	equ	keylib@0006
keylib::nbr_key_pressed		equ	keylib@0007
keylib::key_flags_get		equ	keylib@0008
keylib::key_flags_set		equ	keylib@0009
keylib::wait			equ	keylib@000A
keylib::set_wait_timer		equ	keylib@000B
keylib::getkey_1		equ	keylib@000C



;****************************************************************************************
;********************************         Keylib        *********************************
;****************************************************************************************
;*											*
;*											*
;*					by 						*
;*				  Kinsella Alexis					*
;*				       from 						*
;*				    AKSoftware						*
;*			      url: aksoftware.ovh.org					*
;*			    mail:kinsellaalexis@aol.com					*
;*											*
;*											*
;*											*
;****************************************************************************************
;********************************       Keylib@0000      ********************************
;****************************************************************************************
;*											*
;*Title:	Keylib::init								*
;*											* 
;*it swichs on the routines of keylib:							*
;*	- Swich off the 1st interrupt							*
;*	- Initialise the variables needed and the flags					*
;*											*
;*Input:		nothing								*
;*											*
;*Output:	nothing									*
;*											*
;*											*
;****************************************************************************************
;********************************       Keylib@0001      ********************************
;****************************************************************************************
;*											*
;*Title:	Keylib::quit								*
;*											* 
;*it swichs off the routines of keylib:							*
;*	- Swich on the 1st interrupt							*
;*	- Initialise the variables needed and the flags					*
;*											*
;*Input:	nothing									*
;*											*
;*Output:	nothing									*
;*											*
;*											*
;****************************************************************************************
;********************************       Keylib@0002      ********************************
;****************************************************************************************
;*											*
;*Title:	Keylib::is_key_pressed							*
;*											* 
;*This fonction allow you to know if a key is pressed 					*
;*											*
;*Input:	nothing									*
;*											*
;*Output:	d0.w :									*
;*			- 0; no key pressed						*
;*			- 1; 1 key pressed or more					*
;*											*
;*											*
;****************************************************************************************
;********************************       Keylib@0003      ********************************
;****************************************************************************************
;*											*
;*Title:	Keylib::getkey								*
;*											* 
;*This fonction allow you to know which key is pressed, it send back a number in d0.w 	*
;*which is the code of the key pressed (the array is at the end of this text).		*
;*This fonction is very fast: this the fonction of keylib for games. This fonction send	*
;*back just the key codes of the normal key code array and don't use the keylib flags.	*
;*For the reason the routine is very fast.						*
;*											*
;*Input:	nothing									*
;*											*
;*Output:	d0.w :	the key code							*
;*											*
;*											*
;****************************************************************************************
;********************************       Keylib@0004      ********************************
;****************************************************************************************
;*											*
;*Title:	Keylib::getkey_list							*
;*											* 
;*This fonction allow you to know which key is pressed, it send back a number in d0.w 	*
;*which is the code of the key pressed (the array is at the end of this text).		*
;*This fonction is very fast: this the fonction of keylib for games. This fonction uses *
;*the keylib flags, send back a list of all the key pressed and allows you to use all	*
;*key codes arrays.									*
;*Input:	nothing									*
;*											*
;*											*
;*Output:	d0.w : the first key code of the list					*
;*		a0.l : the address of the list if you need to know the other keys	*
;*pressed.										*
;*											*
;*											*
;****************************************************************************************
;********************************       Keylib@0005      ********************************
;****************************************************************************************
;*											*
;*Title:	Keylib::idle_loop							*
;*											* 
;*This fonction allows you the sames things to do that tios::idleloop, but it is not	*
;*idle_loop. It can shut down like makes the APD, and it has the sames possiblities 	* 
;*than getkey_list									* 
;*											*
;*Input:	nothing									*
;*											*
;*											*
;*Output:	d0.w : the first key code of the list					*
;*		a0.l : the address of the list if you need to know the other keys	*
;*pressed.										*
;*											*
;*											*
;****************************************************************************************
;********************************       Keylib@0006      ********************************
;****************************************************************************************
;*											*
;*Title:	Keylib::find_key_in_list						*
;*											* 
;*This fonction allows you to know if a key(a code array) was pressed, you can only use	*
; this function, if you uses keylib::idl_loop or keylib::getkey_list.			*
;*											*
;*Input:	nothing									*
;*											*
;*Output:	d0.w : 									*
;*			- 0; the key code was not pressed pressed			*
;*			- 1; the key code was pressed					*
;*											*
;*											*
;****************************************************************************************
;********************************       Keylib@0007      ********************************
;****************************************************************************************
;*											*
;*Title:	Keylib::nbr_key_pressed							*
;*											* 
;*This fonction allows you to know how many keys are pressed				*
;*											*
;*											*
;*Input:	nothing									*
;*											*
;*Output:	d0.w : The number of keys pressed					*
;*											*
;*											*
;****************************************************************************************
;********************************       Keylib@0008      ********************************
;****************************************************************************************
;*											*
;*Title:	Keylib::key_flags_get							*
;*											* 
;*This fonction allows you to set  the flags state. The flags are described at the	*
;*of the text.										*
;*											*
;*Input:	nothing									*
;*											*
;*Output:	d0.w : The flag state							*
;*											*
;*											*
;****************************************************************************************
;********************************       Keylib@0009      ********************************
;****************************************************************************************
;*											*
;*Title:	Keylib::key_flags_set							*
;*											* 
;*This fonction allows sends you back the flags state. The flags are described at the	*
;*of the text										*
;*											*
;*Input:	nothing									*
;*											*
;*Output:	d0.w : The flag state							*
;*											*
;*											*
;****************************************************************************************
;********************************       Keylib@000A      ********************************
;****************************************************************************************
;*											*
;*Title:	Keylib::wait								*
;*											* 
;*This fonction allows you to put in your program a pause				*
;*											*
;*											*
;*Input:	d0.w : number of wait loop (depends of the wait_timer)			*
;*											*
;*Output:	nothing									*
;*											*
;*											*
;****************************************************************************************
;********************************       Keylib@000B      ********************************
;****************************************************************************************
;*											*
;*Title:	Keylib::wait_timer							*
;*											* 
;*This fonction allows to set the wait timer						*
;*											*
;*Input:	d0.w : wait_timer							*
;*											*
;*Output:	nothing									*
;*											*
;*											*
;****************************************************************************************


;****************************************************************************************
;********************************       Keylib flags     ********************************
;****************************************************************************************
;*											*
;*The flags of keylib are coded on 1 word, like that:					*
;*	- bit 0: 2nd key flag								* 
;*	- bit 1: diamond key flag							* 
;*	- bit 2: shift key flag								* 
;*	- bit 3: alpha key flag								* 
;*	- bit 4: min or maj alpha key flag						* 
;*	- bit 5: enable state keys stay pressed (2nd or shift or diamond)		* 
;*	- bit 6: enable wait time between the first and the second key pressed		* 
;*	- bit 7: enable wait time between key pressed					* 
;*	- bit 8: enable state keys actions						*
;*	- bit 9: 									*
;*	- bit 10: 									*
;*	- bit 11: 									*
;*	- bit 12: 									*
;*	- bit 13: 									*
;*	- bit 14: 									*
;*	- bit 15: 									*
;*	- bit 16: 									*
;*											*
;*											*
;****************************************************************************************

